DataFilterSliderTag (RichFaces JSF components library 3.1.2.GA API)
Keywords: org.richfaces.taglib.DataFilterSliderTag class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.taglib
Class DataFilterSliderTag

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          org.ajax4jsf.webapp.taglib.UIComponentTagBase
              org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
                  org.richfaces.taglib.DataFilterSliderTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class DataFilterSliderTag

extends org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`DataFilterSliderTag()`

Method Summary
`java.lang.String` | `getComponentType()`
`java.lang.String` | `getRendererType()`
`void` | `release()`
`void` | `setActive(java.lang.String __active)`
`void` | `setEndRange(java.lang.String __endRange)`
`void` | `setFieldStyleClass(java.lang.String __fieldStyleClass)`
`void` | `setFilterBy(java.lang.String __filterBy)`
`void` | `setFor(java.lang.String __for)`
`void` | `setForValRef(java.lang.String __forValRef)`
`void` | `setHandleStyleClass(java.lang.String __handleStyleClass)`
`void` | `setHandleValue(java.lang.String __handleValue)`
`void` | `setIncrement(java.lang.String __increment)`
`void` | `setManualInput(java.lang.String __manualInput)`
`void` | `setOnChange(java.lang.String __onChange)`
`void` | `setOnSlide(java.lang.String __onSlide)`
`protected void` | `setProperties(javax.faces.component.UIComponent component)`
`void` | `setRangeStyleClass(java.lang.String __rangeStyleClass)`
`void` | `setSliderListener(java.lang.String __sliderListener)`
`void` | `setStartRange(java.lang.String __startRange)`
`void` | `setStoreResults(java.lang.String __storeResults)`
`void` | `setTrackStyleClass(java.lang.String __trackStyleClass)`
`void` | `setTrailer(java.lang.String __trailer)`
`void` | `setTrailerStyleClass(java.lang.String __trailerStyleClass)`
`void` | `setWidth(java.lang.String __width)`

Methods inherited from class org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase
`setActionListenerProperty, setActionProperty, setBooleanProperty, setCharterProperty, setConverter, setConverterProperty, setDoubleProperty, setFloatProperty, setIntegerProperty, setLongProperty, setStringProperty, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty, setValueProperty`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doEndTag, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getCreated, getDoEndValue, getDoStartValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataFilterSliderTag

    public DataFilterSliderTag()

Method Detail

### setWidth

    public void setWidth(java.lang.String __width)

### setFilterBy

    public void setFilterBy(java.lang.String __filterBy)

### setStartRange

    public void setStartRange(java.lang.String __startRange)

### setEndRange

    public void setEndRange(java.lang.String __endRange)

### setStoreResults

    public void setStoreResults(java.lang.String __storeResults)

### setOnSlide

    public void setOnSlide(java.lang.String __onSlide)

### setHandleValue

    public void setHandleValue(java.lang.String __handleValue)

### setSliderListener

    public void setSliderListener(java.lang.String __sliderListener)

### setTrackStyleClass

    public void setTrackStyleClass(java.lang.String __trackStyleClass)

### setHandleStyleClass

    public void setHandleStyleClass(java.lang.String __handleStyleClass)

### setFor

    public void setFor(java.lang.String __for)

### setActive

    public void setActive(java.lang.String __active)

### setIncrement

    public void setIncrement(java.lang.String __increment)

### setRangeStyleClass

    public void setRangeStyleClass(java.lang.String __rangeStyleClass)

### setFieldStyleClass

    public void setFieldStyleClass(java.lang.String __fieldStyleClass)

### setTrailer

    public void setTrailer(java.lang.String __trailer)

### setManualInput

    public void setManualInput(java.lang.String __manualInput)

### setForValRef

    public void setForValRef(java.lang.String __forValRef)

### setOnChange

    public void setOnChange(java.lang.String __onChange)

### setTrailerStyleClass

    public void setTrailerStyleClass(java.lang.String __trailerStyleClass)

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### getComponentType

    public java.lang.String getComponentType()

  Specified by:
    `getComponentType` in class `javax.faces.webapp.UIComponentTag`

### getRendererType

    public java.lang.String getRendererType()

  Specified by:
    `getRendererType` in class `javax.faces.webapp.UIComponentTag`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.